[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'gpm' (#rtl)

# gpm_getsnapshot

Return servers' current image of mouse state.

## Declaration

Source position: line 0

`function gpm_getsnapshot(`
`eptr: Pgpmevent`
`):LongInt; function gpm_getsnapshot(`
`var eptr: Tgpmevent`
`):LongInt;`

## Description

Gpm_GetSnapshot returns the picture that the server has of the current situation in Event. This call will not read the current situation from the mouse file descriptor, but returns a buffered version.

The function returns the number of mouse buttons, or -1 if this information is not available.

## Errors

None.

## See also

Gpm_GetEvent |  | Get event from event queue.

Documentation generated on: Feb 26 2014